## Edit details of a schema to enable validation `client.schemaValidation.schemas.edit(stringschemaId, SchemaEditParamsparams, RequestOptionsoptions?): PublicSchema` **patch** `/zones/{zone_id}/schema_validation/schemas/{schema_id}` Modifies an existing OpenAPI schema in API Shield, updating the validation rules for associated API operations. ### Parameters - `schemaId: string` UUID. - `params: SchemaEditParams` - `zone_id: string` Path param: Identifier. - `validation_enabled?: boolean` Body param: Flag whether schema is enabled for validation. ### Returns - `PublicSchema` A schema used in schema validation - `created_at: string` - `kind: "openapi_v3"` The kind of the schema - `"openapi_v3"` - `name: string` A human-readable name for the schema - `schema_id: string` A unique identifier of this schema - `source: string` The raw schema, e.g., the OpenAPI schema, either as JSON or YAML - `validation_enabled?: boolean` An indicator if this schema is enabled ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const publicSchema = await client.schemaValidation.schemas.edit( 'f174e90a-fafe-4643-bbbc-4a0ed4fc8415', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(publicSchema.schema_id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "created_at": "2014-01-01T05:20:00.12345Z", "kind": "openapi_v3", "name": "petstore schema", "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "source": "", "validation_enabled": true }, "success": true } ```